BinaryExpressionHelper (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpressionHelper (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)`
    `` | `void` | `eval(BinaryExpression expression)`
    `` | `protected void` | `evaluateArrayAssignmentWithOperator(String method, BinaryExpression expression, BinaryExpression leftBinExpr)`
    `` | `protected void` | `evaluateBinaryExpression(String message, BinaryExpression binExp)`
    `` | `protected void` | `evaluateBinaryExpressionWithAssignment(String method, BinaryExpression expression)`
    `` | `protected void` | `evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)`
    `` | `void` | `evaluateEqual(BinaryExpression expression, boolean defineVariable)`
    `` | `void` | `evaluatePostfixMethod(PostfixExpression expression)`
    `` | `void` | `evaluatePrefixMethod(PrefixExpression expression)`
    `` | `void` | `evaluateTernary(TernaryExpression expression)`
    `` | `WriterController` | `getController()`
    `` | `MethodCaller` | `getIsCaseMethod()`
    `` | `protected void` | `writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BinaryExpressionHelper(WriterController wc)

  - ### Method Detail

    - #### protected void assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)

    - #### public void eval(BinaryExpression expression)

    - #### protected void evaluateArrayAssignmentWithOperator(String method, BinaryExpression expression, BinaryExpression leftBinExpr)

    - #### protected void evaluateBinaryExpression(String message, BinaryExpression binExp)

    - #### protected void evaluateBinaryExpressionWithAssignment(String method, BinaryExpression expression)

    - #### protected void evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)

    - #### public void evaluateEqual(BinaryExpression expression, boolean defineVariable)

    - #### public void evaluatePostfixMethod(PostfixExpression expression)

    - #### public void evaluatePrefixMethod(PrefixExpression expression)

    - #### public void evaluateTernary(TernaryExpression expression)

    - #### public WriterController getController()

    - #### public MethodCaller getIsCaseMethod()

    - #### protected void writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)